Improbable Icon

SpatialOS Forums

Runtime and SpatialOS GDK for Unreal update - Important information

Hey all devs,

For those of you using the SpatialOS GDK for Unreal, we wanted to give you a heads up on a breaking change that we’ll be releasing on Monday, 14th October.

The latest FaaS version of our Runtime will be incompatible with versions of the Unreal GDK lower than 0.6.2. Therefore you will need to take action on this, so you can continue developing with SpatialOS.

Here are the recommended actions to take:

Upgrade your version of the Unreal GDK to 0.6.2.

  • This is a hotfix which has no changes from 0.6.1, other than to support the newer version of the Runtime.

or

Upgrade your version of the Unreal GDK to 0.7.0.

  • This is altogether a new release and has many increased advantages that you can view in more detail here.

Thanks all and best,
Nee